@minimal @ci_job
Feature: Update and delete an image for OpenStack

  @api @javascript
  Scenario: Update the name of the image
    Given I am logged in as user "{{ drupal_user_name }}"
    And I visit "/{{ root_path }}/openstack/{{ cloud_context }}/image"
    And I wait {{ wait_render }} milliseconds
    And I should see the link "{{ image_name_operate }}"
    And I click "{{ image_name_operate }}"
    And I wait {{ wait_render }} milliseconds
    Then the url should match "/{{ root_path }}/openstack/{{ cloud_context }}/image/"
    And I should see "{{ image_name_operate }}" in the "page_header"
    And I should see neither error nor warning messages
    And I should see "{{ image_name_operate }}" in the "Name"
    And I click "Edit" in the actions
    Then the url should match "/edit"
    And I enter "{{ image_name_operate_updated }}" for "Name"
    And I press "Save"
    And I wait {{ wait_render }} milliseconds
    And I should see the success message "has been updated"
    And I should see neither error nor warning messages

  @api @javascript
  Scenario: Delete the image
    Given I am logged in as a user with the "Administrator" role
    And I visit "/{{ root_path }}/openstack/{{ cloud_context }}/image"
    And I run drush cron
    And I should not see the link "{{ image_name_operate }}"
    And I should see the link "{{ image_name_operate_updated }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ image_name_operate_updated }}"
    And I wait {{ wait_render }} milliseconds
    Then the url should match "/{{ root_path }}/openstack/{{ cloud_context }}/image/"
    And I should see "{{ image_name_operate_updated }}" in the "page_header"
    And I should see neither error nor warning messages
    And I click "Delete" in the actions
    Then the url should match "/delete"
    And I press "Delete"
    And I wait {{ wait_render }} milliseconds
    Then I should be on "/{{ root_path }}/openstack/{{ cloud_context }}/image"
    And I should see the success message "has been deleted"
    And I should see neither error nor warning messages
    And I should not see the link "{{ image_name_operate_updated }}"
